Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class ListDocumentsRequest

    java.lang.Object
      com.google.appengine.api.search.ListDocumentsRequest

Deprecated. As of 1.6.4, replaced by `ListRequest`.

    @Deprecated
    public final class ListDocumentsRequest

extends java.lang.Object

A request to list documents in an index. You can specify a number of restrictions, such as the number of documents to return, the doc_id of the first document to return, whether to only return keys, etc.

       ListDocumentsRequest request = ListDocumentsRequest().newBuilder()
           .setLimit(500)
           .setStartDocId("some-doc-id")
           .setKeysOnly(true)
           .build()

Nested Class Summary
`static class` | `ListDocumentsRequest.Builder` Deprecated. The builder of `ListDocumentsRequest`s.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Deprecated.
`java.lang.Integer` | `getLimit()` Deprecated.
`java.lang.String` | `getStartDocId()` Deprecated.
`int` | `hashCode()` Deprecated.
`boolean` | `isIncludeStartDoc()` Deprecated.
`java.lang.Boolean` | `isKeysOnly()` Deprecated.
`static ListDocumentsRequest.Builder` | `newBuilder()` Deprecated.
`static ListDocumentsRequest.Builder` | `newBuilder(ListDocumentsRequest request)` Deprecated.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### newBuilder

    public static final ListDocumentsRequest.Builder newBuilder()

  Deprecated.

### newBuilder

    public static final ListDocumentsRequest.Builder newBuilder(ListDocumentsRequest request)

  Deprecated.

### getStartDocId

    public java.lang.String getStartDocId()

  Deprecated.
  Returns:
    the Id of the first document to return

### isIncludeStartDoc

    public boolean isIncludeStartDoc()

  Deprecated.
  Returns:
    whether or not the document with the start Doc Id is returned

### getLimit

    public java.lang.Integer getLimit()

  Deprecated.
  Returns:
    the maximum number of documents returned by this request

### isKeysOnly

    public java.lang.Boolean isKeysOnly()

  Deprecated.
  Returns:
    whether or not index schema is returned with each index

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.
  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD